Track Shipments
Get shipment milestones from tracking service.
Authentication
AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"
Headers
transId
Unique transaction ID for debugging and tracking.
transactionSrc
Identifies the client/source application that is calling.
X-BusinessGUID
Unique business GUID.
X-ClientId
Unique client Id.
Query parameters
business_id
ups_file_number
ups_office
ups_shipment_number
Response headers
BkndTransId
The backend transaction id.
transId
An identifier unique to the request.
transactionSrc
Identifies the client/source application that is calling.
Content-Type
The Content-Type header provides the client with the actual content/media type of the returned content.
X-BusinessGUID
Unique business GUID.
X-ClientId
Unique client Id.
Response
Successful retrieval of full tracking details
response
Response container for tracking details
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error